write_xgmml {bnstruct} | R Documentation

## Write a network saving it in an `XGMML` file.

### Description

Write a network on disk, saving it in an `XGMML` file, for importing it in Cytoscape.

### Usage

    write_xgmml(x, path = "./network", write.wpdag = FALSE,
      node.col = rep("white", num.nodes(x)), frac = 0.2,
      max.weight = max(wpdag(x)))

    ## S4 method for signature 'BN'
    write_xgmml(x, path = "./network", write.wpdag = FALSE,
      node.col = rep("white", num.nodes(x)), frac = 0.2,
      max.weight = max(wpdag(x)))

### Arguments

`x` | the `BN` object.
`path` | file name with relative or absolute path to be written.
`write.wpdag` | write the weighted PDAG computed using bootstrap samples or the MMPC structure algorithm, instead of the normaldag (default FALSE).
`node.col` | vector of colors for each node of the network (in R colornames).
`frac` | minimum fraction [0,1] of presence of an edge to be plotted (used in case of `write.wpdag=TRUE`).
`max.weight` | maximum possible weight of an edge (used in case of `write.wpdag=TRUE`).

[Package bnstruct version 1.0.6 Index]